Name: avrdude
Version: 6.1
Release: %mkrel 7
Summary: Software for programming Atmel AVR Microcontroller
Group: Development/Tools
License: GPLv2+
URL: http://www.nongnu.org/avrdude
Source0: http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:                avrdude-udev-rules
Patch0:                 avrdude-doc.patch
BuildRequires:          flex
BuildRequires:          bison
BuildRequires:          glibc-devel
BuildRequires:          readline-devel
BuildRequires:          ncurses-devel
BuildRequires:          libusb0.1-devel
BuildRequires:          perl
BuildRequires:          texi2html
BuildRequires:          texinfo-tex
Requires(post):         info-install
Requires(preun):        info-install
# Fix for MGA#14513 - post scriptlet failed without systemd.
Requires(post):         systemd
Requires(postun):       systemd

%define udev_rules 70-avrdude_usbprog.rules

%description
AVRDUDE is a program for programming Atmel's AVR CPU's. It can program
the Flash and EEPROM, and where supported by the serial programming
protocol, it can program fuse and lock bits. AVRDUDE also supplies a
direct instruction mode allowing one to issue any programming
instruction to the AVR chip regardless of whether AVRDUDE implements
that specific feature of a particular chip.

%prep
%setup -q
%apply_patches
sed -i 's|/usr/local/etc/avrdude.conf|%{_sysconfdir}/%{name}/avrdude.conf|g' doc/avrdude.texi avrdude.1
sed -i 's|/etc/avrdude.conf|%{_sysconfdir}/%{name}/avrdude.conf|g' doc/avrdude.texi avrdude.1
# To fix build failures on i586 HAVE_STDINT_H should be replaced with 1
# -- shlomif
perl -lp -i -e 's/\A#if\s+HAVE_STDINT_H\s*\z/#if 1/' *.c
iconv -f ISO88591 -t UTF8 < ChangeLog-2003 > ChangeLog-2003~
mv ChangeLog-2003~ ChangeLog-2003
iconv -f ISO88591 -t UTF8 < NEWS > NEWS~
mv NEWS~ NEWS

%build
autoreconf -fi
%configure2_5x --enable-doc --sysconfdir=%{_sysconfdir}/%{name}
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_infodir}/dir
install -d -m 755 %{buildroot}%{_udevrulesdir}
install -m 644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/%{udev_rules}

%post
%_install_info %{name}.info
udevadm control --reload

%preun
%_remove_install_info %{name}.info

%postun
udevadm control --reload


%files
%doc README AUTHORS ChangeLog* COPYING NEWS doc/TODO
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info*
%{_udevrulesdir}/%{udev_rules}



%changelog
* Sun Dec 21 2014 shlomif <shlomif> 6.1-7.mga5
+ Revision: 804613
- Require systemd in post/postun - fix MGA#14513

* Wed Nov 19 2014 juergen_harms <juergen_harms> 6.1-6.mga5
+ Revision: 797821
- Changed BuildRequires: pkgconfkit(usblib) to libusb0.1-devel

* Wed Oct 15 2014 umeabot <umeabot> 6.1-5.mga5
+ Revision: 743135
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.1-4.mga5
+ Revision: 678078
- Mageia 5 Mass Rebuild

* Thu Jul 10 2014 juergen_harms <juergen_harms> 6.1-3.mga5
+ Revision: 651088
- recognize programmers with new firmware (or updated by Atmel Studio 6)

* Sat Jul 05 2014 pterjan <pterjan> 6.1-2.mga5
+ Revision: 643567
- Replace libusb*-devel BuildRequires by better ones

* Sun May 04 2014 shlomif <shlomif> 6.1-1.mga5
+ Revision: 619969
- Fix for build
- Add BR
- New version 6.1

* Wed Dec 11 2013 juergen_harms <juergen_harms> 6.0.1-4.mga4
+ Revision: 556374
- add udev rule for JTAGICE3 USB interface

* Thu Oct 24 2013 juergen_harms <juergen_harms> 6.0.1-3.mga4
+ Revision: 546815
- permit user acces via usb: create rules file, reload rules

* Mon Oct 21 2013 umeabot <umeabot> 6.0.1-2.mga4
+ Revision: 539986
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 juergen_harms <juergen_harms> 6.0.1-1.mga4
+ Revision: 493112
- upgrade to new upstream version = avrdude-6.0.1
- drop obsolete fix-texi-errors.patch
- re-diff avrdude-doc.patch

* Mon Aug 19 2013 fwang <fwang> 5.11.1-3.mga4
+ Revision: 467644
- update file list
- only build info now
- fix build with recent texinfo

* Fri Jan 11 2013 umeabot <umeabot> 5.11.1-3.mga3
+ Revision: 346708
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 5.11.1-2.mga3
+ Revision: 302670
- BuildRequires texinfo-tex
- update RPM group

* Tue Jan 10 2012 dmorgan <dmorgan> 5.11.1-1.mga2
+ Revision: 194617
- Fix requires

  + mcb30 <mcb30>
    - Upgrade to version 5.11.1
    - Remove pre-Mageia cruft from specfile
    - imported package avrdude


* Sat Oct 09 2010 Thomas Spuhler <tspuhler@mandriva.org> 5.10-2mdv2011.0
+ Revision: 584474
- increased rel for rebuild

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 5.10-1mdv2010.1
+ Revision: 493778
- update to new version 5.10

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 5.9-1mdv2010.1
+ Revision: 493272
- update to new version 5.9

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 5.8-1mdv2010.0
+ Revision: 447943
- Update to new version 5.8

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 5.5-4mdv2010.0
+ Revision: 436713
- rebuild

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.5-3mdv2009.1
+ Revision: 354042
- rebuild for latest readline

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 5.5-2mdv2009.0
+ Revision: 266231
- rebuild early 2009.0 package (before pixel changes)

* Sat May 03 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 5.5-1mdv2009.0
+ Revision: 200785
- Adapted to Mandriva
- import avrdude


* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 5.5-3
- Autorebuild for GCC 4.3

* Fri Jan 11 2008 Trond Danielsen <trond.danielsen@gmail.com> - 5.5-2
- Added patch for 64-bit systems.
- Corrected the URL to the avrude homepage.

* Sat Dec 29 2007 Trond Danielsen <trond.danielsen@gmail.com> - 5.5-1
- New upstream version
- Fixed minor rpmlint warning.

* Fri Mar 02 2007 Trond Danielsen <trond.danielsen@gmail.com> - 5.3.1-5
- Added missing BuildRequire tetex-dvips.

* Thu Feb 29 2007 Trond Danielsen <trond.danielsen@gmail.com> - 5.3.1-4
- Updated list of files.
- Corrected sed line in prep section.

* Wed Feb 28 2007 Trond Danielsen <trond.danielsen@gmail.com> - 5.3.1-3
- Added missing BuildRequires.
- Enable generation of documentation.
- Updated path to avrdude.conf in info page.

* Wed Feb 28 2007 Trond Danielsen <trond.danielsen@gmail.com> - 5.3.1-2
- Added missing BuildRequires readline-devel and ncurses-devel.
- Changed config file to noreplace and moved to separate folder.
- Corrected permission for file debuginfo package.

* Wed Feb 28 2007 Trond Danielsen <trond.danielsen@gmail.com> - 5.3.1-1
- Initial version.
